/**
 * @author https://github.com/zxwk1998/vue-admin-better （不想保留author可删除）
 * @description router全局配置，如有必要可分文件抽离，其中asyncRoutes只有在intelligence模式下才会用到，vip文档中已提供路由的基础图标与小清新图标的配置方案，请仔细阅读
 */

import Vue from 'vue'
import VueRouter from 'vue-router'
import Layout from '@/layouts'
import EmptyLayout from '@/layouts/EmptyLayout'
import { publicPath, routerMode } from '@/config'

Vue.use(VueRouter)
export const constantRoutes = [
  // {
  //   path: '/login',
  //   component: () => import('@/views/login/index'),
  //   hidden: true,
  // },
  // {
  //   path: '/register',
  //   component: () => import('@/views/register/index'),
  //   hidden: true,
  // },
  // {
  //   path: '/401',
  //   name: '401',
  //   component: () => import('@/views/401'),
  //   hidden: true,
  // },
  // {
  //   path: '/404',
  //   name: '404',
  //   component: () => import('@/views/404'),
  //   hidden: true,
  // },
]

export const asyncRoutes = [
  {
    path: '/',
    component: Layout,
    redirect: '/square/square',
    // children: [
    //   {
    //     path: 'index',
    //     name: 'Index',
    //     component: () => import('@/views/index/index'),
    //     meta: {
    //       title: '首页',
    //       icon: 'home',
    //       affix: true,
    //     },
    //   },
    // ],
  },
  
  {
    path: '/square',
    component: Layout,
    redirect: '/square/square',
    children: [
      {
        path: 'square',
        name: 'Square',
        component: () => import('@/views/digitalSquare/index'),
        meta: {
          title: '数字员工广场',
          icon: 'box-open',
          // affix: true,
        },
      },
    ],
  },
  {
    path: '/detail', // 使用动态参数 :id
    redirect: '/detail/detail',
    component: Layout,
    children: [
      {
        path: '/detail/:id',
        name: 'Detail',
        component: () => import('@/views/staffDetail/index'),
        hidden: true,
        meta: {
          title: '1',
          icon: 'box-open',
        },
      }
     ],
    hidden: true, // 隐藏在菜单中
},
  // {
  //   path: '/error',
  //   component: EmptyLayout,
  //   redirect: 'noRedirect',
  //   name: 'Error',
  //   meta: { title: '错误页', icon: 'bug' },
  //   children: [
  //     {
  //       path: '401',
  //       name: 'Error401',
  //       component: () => import('@/views/401'),
  //       meta: { title: '401' },
  //     },
  //     {
  //       path: '404',
  //       name: 'Error404',
  //       component: () => import('@/views/404'),
  //       meta: { title: '404' },
  //     },
  //   ],
  // },
  // {
  //   path: '*',
  //   redirect: '/404',
  //   hidden: true,
  // },
]

const router = new VueRouter({
  base: publicPath,
  mode: routerMode,
  scrollBehavior: () => ({
    y: 0,
  }),
  routes: constantRoutes,
})

export function resetRouter() {
  location.reload()
}

export default router
