/**
 * @description 侧边导航栏的状态管理
 */

const state = () => ({
  isSidebarCollapsed: false, // 侧边栏是否折叠
})

const getters = {
  isSidebarCollapsed: (state) => state.isSidebarCollapsed,
}

const mutations = {
  toggleSidebar(state) {
    state.isSidebarCollapsed = !state.isSidebarCollapsed
  },
  setSidebarCollapsed(state, isCollapsed) {
    state.isSidebarCollapsed = isCollapsed
  },
}

const actions = {
  toggleSidebar({ commit }) {
    commit('toggleSidebar')
  },
  setSidebarCollapsed({ commit }, isCollapsed) {
    commit('setSidebarCollapsed', isCollapsed)
  },
}

export default { state, getters, mutations, actions }
